```wmd-options
language = es
title_i18n = python_mapper_title_bugs
title_text = Bugs y errors - PythonMapper
```

<!-- [[wmd]] -->

## Bugs y errors

Esta sección se dedicará a publicar todos los Bugs y errores reportados los cuales hallan sido catalogados por Srx00, con autoría de quien lo halla reportado, es decir, por falta de tiempo y recursos, posiblemente Srx00, autor de este proyecto no sea capaz de gestionar todas los reportes de Bugs y errores de dicho programa, aunque pondrá todo de su parte para dicho fin, y dichos reportes aparecerán con la autoría de quien lo halla descubierto para aplicar reconocimiento de dicha tarea. 

También se podrá ver el estado del mismo, tanto por la descripción como por los estados de los Checkboxes que acompañen al Report.

### Overtab de clases

Algunas clases salen con una tabulación por encima de sí mismas, además de que las clases vacías salen sin el "pass".

* [X] Localización del problema del cierre "pass" de las clases vacías.
* [X] Solución al cierre "pass" de las clases vacías.
* [-] Localización del problema de la tabulación de las clases por encima de sí mismas.
* [-] Solución al problema de la tabulación de las clases por encima de sí mismas.

> [!@Srx00] El problema de la sobretabulación radica en que hay ciertas librerías que tienen condiciones para la generación de una clase pseudoabstracta. Esta condición se establece con un simple IF el cual hace una tabulación no controlada en el patrón de seguimiento de clases. Hay que localizar y ampliar los datos de bloques de procesamiento de código a dichas conciones para permitir la tabulación controlada de esos recursos en forma de clases. Actualmente está parcheado con la eliminación de los niveles por encima de una tabulación.

### BaseComponents

La clase pseudoabstracta de BaseComponents del proyecto AnP no es visible por parte de los patrones de seguimiento.

* [ ] Localizar el problema.
* [ ] Solucionar el problema.

<!-- [[wmd]] -->